class UE10Aufgabe20 {
	public static void main(String[] args) {
		Girokonto meinKonto = new Girokonto();
		while (true) {

			// Anzahl an neuen Buchungen einlesen
			int buchungen;
			do {
				buchungen = IO.readInt("Neue Anzahl Buchungen: ");
			} while (buchungen < 0);

			// vermerkt weitere Buchungen
			meinKonto.neueBuchungen(buchungen);

			// berechnet die seit Kontoeroeffnung
			// angefallenen Kontogebuehren
			int gebuehren = meinKonto.berechneKontofuehrungsgebuehren();

			// aktuelle Kontofuehrungsgebuehren ausgeben
			IO.println("Gebuehren = " + gebuehren / 100 + "," + gebuehren % 100
					+ " EUR");
		}
	}
}

class Girokonto {

	int buchungen;

	Girokonto() {
		buchungen = 0;
	}

	void neueBuchungen(int neu) {
		buchungen += neu;
	}

	public int berechneKontofuehrungsgebuehren() {
		int gebuehren = 0;

		// die ersten sechs Buchungen sind kostenlos
		buchungen = buchungen - 6;

		// die naechsten 10 Buchungen kosten 30 Cent
		if (buchungen > 0) {
			if (buchungen > 10) {
				gebuehren = gebuehren + 10 * 30;
			} else {
				gebuehren = gebuehren + buchungen * 30;
			}
			buchungen = buchungen - 10;
		}

		// alle weiteren Buchungen kosten 20 Cent
		if (buchungen > 0) {
			gebuehren = gebuehren + buchungen * 20;
		}

		return gebuehren;
	}
}
