class Mensch {

	int alter;
	double gewicht;
	double groesse;

	Mensch(int alt, double gew, double groe) {
		alter = alt;
		gewicht = gew;
		groesse = groe;
	}

	boolean hatUntergewicht() {
		double bmi = getBMI();
		if (alter <= 24) {
			return bmi < 19;
		} else if (alter <= 34) {
			return bmi < 20;
		} else if (alter <= 44) {
			return bmi < 21;
		} else if (alter <= 54) {
			return bmi < 22;
		} else if (alter <= 64) {
			return bmi < 23;
		} else {
			return bmi < 24;
		}
	}

	boolean hatUebergewicht() {
		double bmi = getBMI();
		if (alter <= 24) {
			return bmi > 24;
		} else if (alter <= 34) {
			return bmi > 25;
		} else if (alter <= 44) {
			return bmi > 26;
		} else if (alter <= 54) {
			return bmi > 27;
		} else if (alter <= 64) {
			return bmi > 28;
		} else {
			return bmi > 29;
		}
	}

	boolean hatNormalgewicht() {
		return !(hatUntergewicht() || hatUebergewicht());
	}

	double getBMI() {
		return gewicht / (groesse * groesse);
	}

}

public class UE10Aufgabe12 {
	public static void main(String[] args) {
		Mensch person = new Mensch(IO.readInt("Alter: "),
				IO.readDouble("Gewicht (kg) eingeben: "),
				IO.readDouble("Groesse (m) eingeben: "));

		if (person.hatUebergewicht()) {
			IO.println("Na, du alter Fettsack!");
		} else if (person.hatUntergewicht()) {
			IO.println("Na, du Hungerhaken!");
		} else {
			IO.println("Idealer Gewichtsbereich!");
		}
		IO.println("Dein BMI ist " + person.getBMI());
	}
}
